Modify

#1154 closed enhancement (fixed)

[Jabber] Display message from unknown participants as normal messages

Reported by: celestin.matte@… Owned by: wilmer
Priority: normal Milestone:
Component: Jabber Version: 3.2.1
Keywords: patch Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

It is really annoying to see "@root | Message from unknown participant" instead of normal messages when the user is not in the room anymore. This makes Jabber backlog hard to read. This patch fixes this, by transforming them into normal messages.

Tested with client weechat 0.4.3

Attachments (2)

patch_message_unknown_participant.txt (1.2 KB) - added by celestin.matte@… at 2014-04-27T12:20:54Z.
patch
patch_message_unknown_participant2.txt (1.2 KB) - added by celestin.matte@… at 2014-04-27T12:37:46Z.
Better patch: avoid possible segfault condition

Download all attachments as: .zip

Change History (5)

Changed at 2014-04-27T12:20:54Z by celestin.matte@…

patch

Changed at 2014-04-27T12:37:46Z by celestin.matte@…

Better patch: avoid possible segfault condition

comment:1 Changed at 2014-05-08T17:03:43Z by anonymous

Thanks a lot for this patch, it's awesome!

comment:2 Changed at 2014-07-14T10:38:47Z by dx

Keywords: patch added

ooh, i was looking for this one a few days ago. taggin'.

comment:3 Changed at 2015-02-03T01:08:40Z by dx

Resolution: fixed
Status: newclosed

We applied a patch based on this idea here: https://github.com/bitlbee/bitlbee/commit/885d294f

Thanks anyway!

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.